<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:rich="http://richfaces.org/rich">



<body>
	<ui:decorate template="/templates/extraction/template-glacpe.xhtml">
		<f:loadBundle
			basename="org.inra.ecoinfo.glacpe.extraction.ppchlorotransp.jsf.ppchlorotransp-jsf"
			var="ppchlorotransp" />
		<ui:define name="title">#{ppchlorotransp.PROPERTY_MSG_TITLE}
		<f:loadBundle
			basename="org.inra.ecoinfo.glacpe.extraction.ppchlorotransp.jsf.ppchlorotransp-jsf"
			var="ppchlorotransp" /></ui:define>
		<ui:param name="titleExtraction"
			value="#{ppchlorotransp.PROPERTY_MSG_TITLE_EXTRACTION}">
			<f:loadBundle
				basename="org.inra.ecoinfo.glacpe.extraction.ppchlorotransp.jsf.ppchlorotransp-jsf"
				var="ppchlorotransp" />
		</ui:param>
		<ui:param name="introMain"
			value="#{ppchlorotransp.PROPERTY_MSG_INTRO_MAIN}">
			<f:loadBundle
				basename="org.inra.ecoinfo.glacpe.extraction.ppchlorotransp.jsf.ppchlorotransp-jsf"
				var="ppchlorotransp" />
		</ui:param>
		<ui:param name="uiBean" value="#{uiPPChlorophylle}">
			<f:loadBundle
				basename="org.inra.ecoinfo.glacpe.extraction.ppchlorotransp.jsf.ppchlorotransp-jsf"
				var="ppchlorotransp" />
		</ui:param>
		<ui:param name="library" value="css/ppchloroTrans">
			<f:loadBundle
				basename="org.inra.ecoinfo.glacpe.extraction.ppchlorotransp.jsf.ppchlorotransp-jsf"
				var="ppchlorotransp" />
		</ui:param>
		<ui:define name="togglePanelItems">
			<f:loadBundle
				basename="org.inra.ecoinfo.glacpe.extraction.ppchlorotransp.jsf.ppchlorotransp-jsf"
				var="ppchlorotransp" />
			<rich:togglePanelItem
				name="#{ppchlorotransp.PROPERTY_MSG_TITLE_PROJET_PLATEFORME}">
				<ui:include
					src="/templates/extraction/glacpe/panels/plateformeChoiceStep.xhtml">
					<ui:param name="css" value="jsf-plateformesChoiceStep-styles.css" />
					<ui:param name="panelNumber" value="1" />
				</ui:include>
			</rich:togglePanelItem>
			
			<rich:togglePanelItem name="#{ppchlorotransp.PROPERTY_MSG_DATES}">
				<ui:include src="/templates/extraction/panels/datesStep.xhtml">
					<ui:param name="css" value="jsf-datesChoiceStep-styles.css" />
					<ui:param name="panelNumber" value="2" />
				</ui:include>
			</rich:togglePanelItem>

			<rich:togglePanelItem
				name="#{ppchlorotransp.PROPERTY_MSG_TITLE_VARIABLES}">
				<ui:include
					src="/templates/extraction/glacpe/panels/variablesChoiceStep.xhtml">
					<ui:param name="css" value="jsf-variablesChoiceStep-styles.css" />
					<ui:param name="panelNumber" value="3" />
				</ui:include>
			</rich:togglePanelItem>

			<rich:togglePanelItem
				name="#{ppchlorotransp.PROPERTY_MSG_DEPTH_DATAS}">
				<ui:include
					src="/templates/extraction/glacpe/panels/ppchlorotransp/depthsdatatypeChoiceStep.xhtml">
					<ui:param name="css"
						value="jsf-dephtsDatatypesChoiceStep-styles.css" />
					<ui:param name="panelNumber" value="4" />
				</ui:include>
			</rich:togglePanelItem>
			<rich:togglePanelItem name="#{ppchlorotransp.PROPERTY_MSG_CHOICE_FORMAT}">
				<ui:include src="/templates/extraction/glacpe/panels/displayChoiceStep.xhtml">
					<ui:param name="css" value="jsf-displayChoiceStep-styles.css" />
					<ui:param name="panelNumber" value="5" />
				</ui:include>
			</rich:togglePanelItem>
		</ui:define>
		<ui:define name="accordionItems">
			<rich:accordionItem>
				<ui:include
					src="/templates/extraction/accordionItems/plateformeAccordionItem.xhtml">
					<ui:param name="titleForPlateformesAccordionItem"
						value="#{ppchlorotransp.PROPERTY_MSG_STEP_PLATEFORME}" />
				</ui:include>
			</rich:accordionItem>
			<rich:accordionItem
				disabled="#{not uiBean.parametersRequest.plateformeStepIsValid}">
				<ui:include
					src="/templates/extraction/glacpe/accordionItems/datesAccordionItem.xhtml">
					<ui:param name="titleForDatesAccordionItem"
						value="#{ppchlorotransp.PROPERTY_MSG_STEP_DATES}" />
				</ui:include>
			</rich:accordionItem>
			
			<rich:accordionItem
				disabled="#{not uiBean.parametersRequest.dateStepIsValid}">
				<ui:include
					src="/templates/extraction/glacpe/accordionItems/variablesAccordionItem.xhtml">
					<ui:param name="titleForVariablesAccordionItem"
						value="#{ppchlorotransp.PROPERTY_MSG_STEP_VARIABLE}" />
				</ui:include>
			</rich:accordionItem>

			<rich:accordionItem
				disabled="#{not uiBean.parametersRequest.variableStepIsValid}">
				<ui:include
					src="/templates/extraction/glacpe/accordionItems/depthsDataypesAccordionItem.xhtml">
					<ui:param name="titleForDepthsDatatypesAccordionItem"
						value="#{ppchlorotransp.PROPERTY_MSG_STEP_DEPTH}" />
				</ui:include>
			</rich:accordionItem>
			<rich:accordionItem
				disabled="#{not uiBean.parametersRequest.dephtDatatypeStepIsValid}">
				<ui:include
					src="/templates/extraction/glacpe/accordionItems/displayAccordionItem.xhtml">
					<ui:param name="titleForAffichageAccordionItem" value="#{ppchlorotransp.PROPERTY_MSG_STEP_FORMAT}" />
				</ui:include>
			</rich:accordionItem>
		</ui:define>
	</ui:decorate>
</body>
</html>